[Forgot Password]
Login  Register Subscribe

23631

 
 

126941

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2009-4880

Date: (C)2010-06-01   (M)2017-11-18 


Multiple integer overflows in the strfmon implementation in the GNU C Library (aka glibc or libc6) 2.10.1 and earlier allow context-dependent attackers to cause a denial of service (memory consumption or application crash) via a crafted format string, as demonstrated by a crafted first argument to the money_format function in PHP, a related issue to CVE-2008-1391.

CVSS Score: 5.0Access Vector: NETWORK
Exploit Score: 10.0Access Complexity: LOW
Impact Score: 2.9Authentication: NONE
 Confidentiality: NONE
 Integrity: NONE
 Availability: PARTIAL





Reference:
http://securityreason.com/achievement_securityalert/67
BID-36443
SECUNIA-39900
ADV-2010-1246
DSA-2058
GLSA-201011-01
MDVSA-2010:111
MDVSA-2010:112
USN-944-1
gnuclibrary-strfmon-overflow(59242)
http://sources.redhat.com/bugzilla/show_bug.cgi?id=10600
http://sourceware.org/git/?p=glibc.git;a=commit;h=199eb0de8d673fb23aa127721054b4f1803d61f3
https://bugzilla.redhat.com/show_bug.cgi?id=524671

CPE    37
cpe:/a:gnu:glibc:2.3.6
cpe:/a:gnu:glibc:2.6.1
cpe:/a:gnu:glibc:2.3.5
cpe:/a:gnu:glibc:2.5.1
...
CWE    1
CWE-189
OVAL    3
oval:org.secpod.oval:def:300095
oval:org.secpod.oval:def:300000
oval:org.secpod.oval:def:600013

© 2013 SecPod Technologies